GDB (xrefs)

Public Member Functions | List of all members
gdb.function.strfns._StrEq Class Reference
Inheritance diagram for gdb.function.strfns._StrEq:

## Public Member Functions
def | __init__ (self)
def | invoke (self, a, b)
def | __init__ (self)
def | invoke (self, a, b)

## Detailed Description

    $_streq - check string equality

    Usage:
    $_streq(a, b)

    Returns:
    True if a and b are identical strings in the current language.

    Example (amd64-linux):
    catch syscall open
    cond $bpnum $_streq((char*) $rdi, "foo")

Definition at line 65 of file strfns.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.strfns._StrEq.__init__ | ( |  | self | ) |

Definition at line 78 of file strfns.py.

Referenced by gdb.function.strfns._StrEq.__init__().

## ◆ __init__() [2/2]

def gdb.function.strfns._StrEq.__init__ | ( |  | self | ) |

Definition at line 78 of file strfns.py.

References gdb.function.strfns._StrEq.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.strfns._StrEq.invoke | ( |  | self,
|  |  | a,
|  |  | b
| ) |  |

Definition at line 81 of file strfns.py.

Referenced by gdb.function.strfns._StrEq.invoke().

## ◆ invoke() [2/2]

def gdb.function.strfns._StrEq.invoke | ( |  | self,
|  |  | a,
|  |  | b
| ) |  |

Definition at line 81 of file strfns.py.

References gdb.function.strfns._StrEq.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/strfns.py